function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
  spaceAvailable = parseInt(spaceAvailable / 1024);
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

var srDest;
var err;
var fProgram;
var prettyName = "Polski (PL) Ustawienia regionalne";
var chromeNode = "PL";
var regName    = "locales/mozilla/" + chromeNode;
var chromeName = chromeNode + ".jar";
var localeName = "locale/" + chromeNode + "/";

srDest = 865;
err    = initInstall(prettyName, regName, "0.9.x");
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if(verifyDiskSpace(fProgram, srDest))
{
  setPackageFolder(fProgram);
  err = addDirectory("",
                     "0.9.x",
                     "bin",
                     fProgram,
                     "",
                     true);
  logComment("addDirectory() returned: " + err);

  var cf = getFolder("Chrome");
  registerChrome(LOCALE, getFolder(cf, chromeName), localeName + "global-region/");
  registerChrome(LOCALE, getFolder(cf, chromeName), localeName + "communicator-region/");
  registerChrome(LOCALE, getFolder(cf, chromeName), localeName + "editor-region/");
  registerChrome(LOCALE, getFolder(cf, chromeName), localeName + "messenger-region/");
  registerChrome(LOCALE, getFolder(cf, chromeName), localeName + "navigator-region/");

  if (err == SUCCESS)
  {
      err = performInstall();
      logComment("performInstall() returned: " + err);
      alert("Instalacja zostaa zakoczona pomylnie. Po ponownym uruchomieniu przegldarki, bdzie mona wybra jzyk poprzez panel Edytuj > Preferencje (Edit > Preferences) oraz menu Widok (View).");
  }
  else
  {
      cancelInstall(err);
      logComment("cancelInstall due to error: " + err);
      alert("Instalacja zostaa anulowana. Wystpi bd " + err);
  }
}
else
  cancelInstall(INSUFFICIENT_DISK_SPACE);
